ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 2733 by gezelter, Tue Apr 25 02:09:01 2006 UTC vs.
Revision 2752 by gezelter, Tue May 16 02:06:37 2006 UTC

# Line 884 | Line 884 | Optional Packages:
884    --with-zlib=DIR root directory path of zlib installation defaults to
885                      /usr/local or /usr if not found in /usr/local
886    --without-zlib to disable zlib usage completely
887 +  --without-fftw          if you turn this off you cannot compute undulation spectra
888    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
889    --with-cgal-makefile=FILE  CGAL makefile that should be used
890  
# Line 1413 | Line 1414 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1414  
1415  
1416  
1417 + # ACX_CHECK_FFTW()
1418 + # ----------------
1419 + # This macro checks for fftw header files and libraries,
1420 + # including the possible prefixing with s or d to determine precision.
1421 + # Arg 1 is the fftw header/library name to check for, without
1422 + # prefix or anything else (e.g. rfftw_mpi for real MPI transforms)
1423 + # Arg 2 is the size of the real variable used.
1424  
1425  
1426  
1427  
1428  
1429  
1430 +
1431 +
1432 +
1433 +
1434 +
1435 +
1436   #
1437   #
1438   #
# Line 2726 | Line 2740 | echo "$as_me:2729:" \
2740  
2741  
2742   # Provide some information about the compiler.
2743 < echo "$as_me:2729:" \
2743 > echo "$as_me:2743:" \
2744       "checking for Fortran compiler version" >&5
2745   ac_compiler=`set X $ac_compile; echo $2`
2746   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 3977 | Line 3991 | FCFLAGS="$FCFLAGS $ac_verb"
3991   # flags.
3992   ac_save_FFLAGS=$FCFLAGS
3993   FCFLAGS="$FCFLAGS $ac_verb"
3994 < (eval echo $as_me:3980: \"$ac_link\") >&5
3994 > (eval echo $as_me:3994: \"$ac_link\") >&5
3995   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3996   echo "$ac_fc_v_output" >&5
3997   FCFLAGS=$ac_save_FFLAGS
# Line 4055 | Line 4069 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4069   # flags.
4070   ac_save_FFLAGS=$FCFLAGS
4071   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4072 < (eval echo $as_me:4058: \"$ac_link\") >&5
4072 > (eval echo $as_me:4072: \"$ac_link\") >&5
4073   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4074   echo "$ac_fc_v_output" >&5
4075   FCFLAGS=$ac_save_FFLAGS
# Line 4791 | Line 4805 | FCFLAGS="$FCFLAGS $ac_verb"
4805   # flags.
4806   ac_save_FFLAGS=$FCFLAGS
4807   FCFLAGS="$FCFLAGS $ac_verb"
4808 < (eval echo $as_me:4794: \"$ac_link\") >&5
4808 > (eval echo $as_me:4808: \"$ac_link\") >&5
4809   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4810   echo "$ac_fc_v_output" >&5
4811   FCFLAGS=$ac_save_FFLAGS
# Line 4869 | Line 4883 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4883   # flags.
4884   ac_save_FFLAGS=$FCFLAGS
4885   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4886 < (eval echo $as_me:4872: \"$ac_link\") >&5
4886 > (eval echo $as_me:4886: \"$ac_link\") >&5
4887   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4888   echo "$ac_fc_v_output" >&5
4889   FCFLAGS=$ac_save_FFLAGS
# Line 6124 | Line 6138 | fi
6138   echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6139     { (exit 1); exit 1; }; }
6140          fi
6141 + fi
6142 +
6143 +
6144 +
6145 + # Check whether --with-fftw or --without-fftw was given.
6146 + if test "${with_fftw+set}" = set; then
6147 +  withval="$with_fftw"
6148 +
6149 + else
6150 +  with_fftw=yes
6151 + fi;
6152 + if test "$with_fftw" = "no"; then
6153 +
6154 + cat >>confdefs.h <<\_ACEOF
6155 + #define WITHOUT_FFTW
6156 + _ACEOF
6157 +
6158 + fi
6159 + if test "$with_fftw" = "yes"; then
6160 +  sizeof_real=8
6161 +
6162 +
6163 + if test -z "$ac_fftw_firstname"; then
6164 +
6165 + sizeof_real=$sizeof_real
6166 + if test $sizeof_real = 8; then
6167 +  prec="double"
6168 +  fftwcheckprefix=d
6169 + else
6170 +  prec="single"
6171 +  fftwcheckprefix=s
6172 + fi
6173 +
6174 + xfftwname=${fftwcheckprefix}fftw3
6175 +
6176 + ok="no"
6177 + # check header doesn't work, since we must use mpicc to get includes,
6178 + # we cant trust cpp.
6179 + echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6180 + echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6181 + cat >conftest.$ac_ext <<_ACEOF
6182 + /* confdefs.h.  */
6183 + _ACEOF
6184 + cat confdefs.h >>conftest.$ac_ext
6185 + cat >>conftest.$ac_ext <<_ACEOF
6186 + /* end confdefs.h.  */
6187 + #include <$xfftwname.h>
6188 + #ifdef FC_DUMMY_MAIN
6189 + #ifndef FC_DUMMY_MAIN_EQ_F77
6190 + #  ifdef __cplusplus
6191 +     extern "C"
6192 + #  endif
6193 +   int FC_DUMMY_MAIN() { return 1; }
6194 + #endif
6195 + #endif
6196 + int
6197 + main ()
6198 + {
6199 +
6200 +  ;
6201 +  return 0;
6202 + }
6203 + _ACEOF
6204 + rm -f conftest.$ac_objext
6205 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6206 +  (eval $ac_compile) 2>conftest.er1
6207 +  ac_status=$?
6208 +  grep -v '^ *+' conftest.er1 >conftest.err
6209 +  rm -f conftest.er1
6210 +  cat conftest.err >&5
6211 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6212 +  (exit $ac_status); } &&
6213 +         { ac_try='test -z "$ac_c_werror_flag"
6214 +                         || test ! -s conftest.err'
6215 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6216 +  (eval $ac_try) 2>&5
6217 +  ac_status=$?
6218 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6219 +  (exit $ac_status); }; } &&
6220 +         { ac_try='test -s conftest.$ac_objext'
6221 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6222 +  (eval $ac_try) 2>&5
6223 +  ac_status=$?
6224 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6225 +  (exit $ac_status); }; }; then
6226 +
6227 + fftwname=$xfftwname
6228 + echo "$as_me:$LINENO: result: yes" >&5
6229 + echo "${ECHO_T}yes" >&6
6230 +
6231 + else
6232 +  echo "$as_me: failed program was:" >&5
6233 + sed 's/^/| /' conftest.$ac_ext >&5
6234 +
6235 + echo "$as_me:$LINENO: result: no" >&5
6236 + echo "${ECHO_T}no" >&6
6237 + fi
6238 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6239 +
6240 + # fftwname was set if we found a header
6241 +
6242 + if test -n "$fftwname"; then
6243 + # we cannot run the code since an MPI program might not be allowed
6244 + # on a login node of a supercomputer
6245 + cat >conftest.$ac_ext <<_ACEOF
6246 + /* confdefs.h.  */
6247 + _ACEOF
6248 + cat confdefs.h >>conftest.$ac_ext
6249 + cat >>conftest.$ac_ext <<_ACEOF
6250 + /* end confdefs.h.  */
6251 + #include <$fftwname.h>
6252 + #ifdef FC_DUMMY_MAIN
6253 + #ifndef FC_DUMMY_MAIN_EQ_F77
6254 + #  ifdef __cplusplus
6255 +     extern "C"
6256 + #  endif
6257 +   int FC_DUMMY_MAIN() { return 1; }
6258 + #endif
6259 + #endif
6260 + int
6261 + main ()
6262 + {
6263 + int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6264 +  ;
6265 +  return 0;
6266 + }
6267 + _ACEOF
6268 + rm -f conftest.$ac_objext
6269 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6270 +  (eval $ac_compile) 2>conftest.er1
6271 +  ac_status=$?
6272 +  grep -v '^ *+' conftest.er1 >conftest.err
6273 +  rm -f conftest.er1
6274 +  cat conftest.err >&5
6275 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6276 +  (exit $ac_status); } &&
6277 +         { ac_try='test -z "$ac_c_werror_flag"
6278 +                         || test ! -s conftest.err'
6279 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6280 +  (eval $ac_try) 2>&5
6281 +  ac_status=$?
6282 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6283 +  (exit $ac_status); }; } &&
6284 +         { ac_try='test -s conftest.$ac_objext'
6285 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6286 +  (eval $ac_try) 2>&5
6287 +  ac_status=$?
6288 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6289 +  (exit $ac_status); }; }; then
6290 +
6291 + ok=yes
6292 + usedprefix=$fftwcheckprefix
6293 +
6294 + else
6295 +  echo "$as_me: failed program was:" >&5
6296 + sed 's/^/| /' conftest.$ac_ext >&5
6297 +
6298 + ok=no
6299   fi
6300 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6301 + fi
6302  
6303 + if test "$ok" != "yes"; then
6304 +  echo "$as_me:$LINENO: checking for fftw3.h" >&5
6305 + echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6306 +  cat >conftest.$ac_ext <<_ACEOF
6307 + /* confdefs.h.  */
6308 + _ACEOF
6309 + cat confdefs.h >>conftest.$ac_ext
6310 + cat >>conftest.$ac_ext <<_ACEOF
6311 + /* end confdefs.h.  */
6312 + #include <fftw3.h>
6313 + #ifdef FC_DUMMY_MAIN
6314 + #ifndef FC_DUMMY_MAIN_EQ_F77
6315 + #  ifdef __cplusplus
6316 +     extern "C"
6317 + #  endif
6318 +   int FC_DUMMY_MAIN() { return 1; }
6319 + #endif
6320 + #endif
6321 + int
6322 + main ()
6323 + {
6324  
6325 +  ;
6326 +  return 0;
6327 + }
6328 + _ACEOF
6329 + rm -f conftest.$ac_objext
6330 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6331 +  (eval $ac_compile) 2>conftest.er1
6332 +  ac_status=$?
6333 +  grep -v '^ *+' conftest.er1 >conftest.err
6334 +  rm -f conftest.er1
6335 +  cat conftest.err >&5
6336 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6337 +  (exit $ac_status); } &&
6338 +         { ac_try='test -z "$ac_c_werror_flag"
6339 +                         || test ! -s conftest.err'
6340 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6341 +  (eval $ac_try) 2>&5
6342 +  ac_status=$?
6343 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6344 +  (exit $ac_status); }; } &&
6345 +         { ac_try='test -s conftest.$ac_objext'
6346 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6347 +  (eval $ac_try) 2>&5
6348 +  ac_status=$?
6349 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6350 +  (exit $ac_status); }; }; then
6351 +  echo "$as_me:$LINENO: result: yes" >&5
6352 + echo "${ECHO_T}yes" >&6
6353 + else
6354 +  echo "$as_me: failed program was:" >&5
6355 + sed 's/^/| /' conftest.$ac_ext >&5
6356  
6357 +
6358 + echo "$as_me:$LINENO: result: no" >&5
6359 + echo "${ECHO_T}no" >&6
6360 + { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6361 + Do you have $prec precision FFTW installed? If you are using packages,
6362 + note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6363 + software at www.fftw.org.
6364 + If you compiled FFTW yourself:
6365 + Note that the default FFTW setup is double precision.  If you want MPI support,
6366 + use --with-mpi. It is a good idea to install both single & double.
6367 + If you have installed FFTW in a non-standard location, you should
6368 + provide the correct paths in the CPPFLAGS and LDFLAGS environment
6369 + variables before running configure.
6370 + That is also necessary to do if your compiler doesn't search
6371 + /usr/local/include and /usr/local/lib by default." >&5
6372 + echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6373 + Do you have $prec precision FFTW installed? If you are using packages,
6374 + note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6375 + software at www.fftw.org.
6376 + If you compiled FFTW yourself:
6377 + Note that the default FFTW setup is double precision.  If you want MPI support,
6378 + use --with-mpi. It is a good idea to install both single & double.
6379 + If you have installed FFTW in a non-standard location, you should
6380 + provide the correct paths in the CPPFLAGS and LDFLAGS environment
6381 + variables before running configure.
6382 + That is also necessary to do if your compiler doesn't search
6383 + /usr/local/include and /usr/local/lib by default." >&2;}
6384 +   { (exit 1); exit 1; }; }
6385 +
6386 + fi
6387 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6388 + cat >conftest.$ac_ext <<_ACEOF
6389 + /* confdefs.h.  */
6390 + _ACEOF
6391 + cat confdefs.h >>conftest.$ac_ext
6392 + cat >>conftest.$ac_ext <<_ACEOF
6393 + /* end confdefs.h.  */
6394 + #include <fftw3.h>
6395 + #ifdef FC_DUMMY_MAIN
6396 + #ifndef FC_DUMMY_MAIN_EQ_F77
6397 + #  ifdef __cplusplus
6398 +     extern "C"
6399 + #  endif
6400 +   int FC_DUMMY_MAIN() { return 1; }
6401 + #endif
6402 + #endif
6403 + int
6404 + main ()
6405 + {
6406 + int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6407 +  ;
6408 +  return 0;
6409 + }
6410 + _ACEOF
6411 + rm -f conftest.$ac_objext
6412 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6413 +  (eval $ac_compile) 2>conftest.er1
6414 +  ac_status=$?
6415 +  grep -v '^ *+' conftest.er1 >conftest.err
6416 +  rm -f conftest.er1
6417 +  cat conftest.err >&5
6418 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6419 +  (exit $ac_status); } &&
6420 +         { ac_try='test -z "$ac_c_werror_flag"
6421 +                         || test ! -s conftest.err'
6422 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6423 +  (eval $ac_try) 2>&5
6424 +  ac_status=$?
6425 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6426 +  (exit $ac_status); }; } &&
6427 +         { ac_try='test -s conftest.$ac_objext'
6428 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6429 +  (eval $ac_try) 2>&5
6430 +  ac_status=$?
6431 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6432 +  (exit $ac_status); }; }; then
6433 +
6434 + usedprefix=""
6435 + fftwname=fftw3
6436 +
6437 + else
6438 +  echo "$as_me: failed program was:" >&5
6439 + sed 's/^/| /' conftest.$ac_ext >&5
6440 +
6441 +
6442 + { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6443 + Do you have $prec precision FFTW installed? If you are using packages,
6444 + note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6445 + software at www.fftw.org.
6446 + If you compiled FFTW yourself:
6447 + Note that the default FFTW setup is double precision.  If you want MPI support,
6448 + use --with-mpi. It is a good idea to install both single & double.
6449 + If you have installed FFTW in a non-standard location, you should
6450 + provide the correct paths in the CPPFLAGS and LDFLAGS environment
6451 + variables before running configure.
6452 + That is also necessary to do if your compiler doesn't search
6453 + /usr/local/include and /usr/local/lib by default." >&5
6454 + echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3.h
6455 + Do you have $prec precision FFTW installed? If you are using packages,
6456 + note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6457 + software at www.fftw.org.
6458 + If you compiled FFTW yourself:
6459 + Note that the default FFTW setup is double precision.  If you want MPI support,
6460 + use --with-mpi. It is a good idea to install both single & double.
6461 + If you have installed FFTW in a non-standard location, you should
6462 + provide the correct paths in the CPPFLAGS and LDFLAGS environment
6463 + variables before running configure.
6464 + That is also necessary to do if your compiler doesn't search
6465 + /usr/local/include and /usr/local/lib by default." >&2;}
6466 +   { (exit 1); exit 1; }; }
6467 + fi
6468 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6469 + fi
6470 +
6471 +
6472 + as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6473 + echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6474 + echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6475 + if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6476 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6477 + else
6478 +  ac_check_lib_save_LIBS=$LIBS
6479 + LIBS="-l$fftwname  $LIBS"
6480 + cat >conftest.$ac_ext <<_ACEOF
6481 + /* confdefs.h.  */
6482 + _ACEOF
6483 + cat confdefs.h >>conftest.$ac_ext
6484 + cat >>conftest.$ac_ext <<_ACEOF
6485 + /* end confdefs.h.  */
6486 +
6487 +
6488 + #ifdef FC_DUMMY_MAIN
6489 + #ifndef FC_DUMMY_MAIN_EQ_F77
6490 + #  ifdef __cplusplus
6491 +     extern "C"
6492 + #  endif
6493 +   int FC_DUMMY_MAIN() { return 1; }
6494 + #endif
6495 + #endif
6496 + int
6497 + main ()
6498 + {
6499 + main ();
6500 +  ;
6501 +  return 0;
6502 + }
6503 + _ACEOF
6504 + rm -f conftest.$ac_objext conftest$ac_exeext
6505 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6506 +  (eval $ac_link) 2>conftest.er1
6507 +  ac_status=$?
6508 +  grep -v '^ *+' conftest.er1 >conftest.err
6509 +  rm -f conftest.er1
6510 +  cat conftest.err >&5
6511 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6512 +  (exit $ac_status); } &&
6513 +         { ac_try='test -z "$ac_c_werror_flag"
6514 +                         || test ! -s conftest.err'
6515 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6516 +  (eval $ac_try) 2>&5
6517 +  ac_status=$?
6518 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6519 +  (exit $ac_status); }; } &&
6520 +         { ac_try='test -s conftest$ac_exeext'
6521 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6522 +  (eval $ac_try) 2>&5
6523 +  ac_status=$?
6524 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6525 +  (exit $ac_status); }; }; then
6526 +  eval "$as_ac_Lib=yes"
6527 + else
6528 +  echo "$as_me: failed program was:" >&5
6529 + sed 's/^/| /' conftest.$ac_ext >&5
6530 +
6531 + eval "$as_ac_Lib=no"
6532 + fi
6533 + rm -f conftest.err conftest.$ac_objext \
6534 +      conftest$ac_exeext conftest.$ac_ext
6535 + LIBS=$ac_check_lib_save_LIBS
6536 + fi
6537 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
6538 + echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
6539 + if test `eval echo '${'$as_ac_Lib'}'` = yes; then
6540 +  cat >>confdefs.h <<_ACEOF
6541 + #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
6542 + _ACEOF
6543 +
6544 +  LIBS="-l$fftwname $LIBS"
6545 +
6546 + else
6547 +  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
6548 + echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
6549 +   { (exit 1); exit 1; }; }
6550 + fi
6551 +
6552 + ac_fftw_savedprefix=$usedprefix
6553 + ac_fftw_firstname=$fftwname
6554 +
6555 + else
6556 +
6557 + fftwname=${ac_fftw_savedprefix}fftw3
6558 + echo "$as_me:$LINENO: checking for $fftwname.h" >&5
6559 + echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
6560 + cat >conftest.$ac_ext <<_ACEOF
6561 + /* confdefs.h.  */
6562 + _ACEOF
6563 + cat confdefs.h >>conftest.$ac_ext
6564 + cat >>conftest.$ac_ext <<_ACEOF
6565 + /* end confdefs.h.  */
6566 + #include <$fftwname.h>
6567 + #ifdef FC_DUMMY_MAIN
6568 + #ifndef FC_DUMMY_MAIN_EQ_F77
6569 + #  ifdef __cplusplus
6570 +     extern "C"
6571 + #  endif
6572 +   int FC_DUMMY_MAIN() { return 1; }
6573 + #endif
6574 + #endif
6575 + int
6576 + main ()
6577 + {
6578 +
6579 +  ;
6580 +  return 0;
6581 + }
6582 + _ACEOF
6583 + rm -f conftest.$ac_objext
6584 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6585 +  (eval $ac_compile) 2>conftest.er1
6586 +  ac_status=$?
6587 +  grep -v '^ *+' conftest.er1 >conftest.err
6588 +  rm -f conftest.er1
6589 +  cat conftest.err >&5
6590 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6591 +  (exit $ac_status); } &&
6592 +         { ac_try='test -z "$ac_c_werror_flag"
6593 +                         || test ! -s conftest.err'
6594 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6595 +  (eval $ac_try) 2>&5
6596 +  ac_status=$?
6597 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6598 +  (exit $ac_status); }; } &&
6599 +         { ac_try='test -s conftest.$ac_objext'
6600 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6601 +  (eval $ac_try) 2>&5
6602 +  ac_status=$?
6603 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6604 +  (exit $ac_status); }; }; then
6605 +  echo "$as_me:$LINENO: result: yes" >&5
6606 + echo "${ECHO_T}yes" >&6
6607 + LIBS="-l$fftwname $LIBS"
6608 + cat >conftest.$ac_ext <<_ACEOF
6609 + /* confdefs.h.  */
6610 + _ACEOF
6611 + cat confdefs.h >>conftest.$ac_ext
6612 + cat >>conftest.$ac_ext <<_ACEOF
6613 + /* end confdefs.h.  */
6614 +
6615 +
6616 + #ifdef FC_DUMMY_MAIN
6617 + #ifndef FC_DUMMY_MAIN_EQ_F77
6618 + #  ifdef __cplusplus
6619 +     extern "C"
6620 + #  endif
6621 +   int FC_DUMMY_MAIN() { return 1; }
6622 + #endif
6623 + #endif
6624 + int
6625 + main ()
6626 + {
6627 + main ();
6628 +  ;
6629 +  return 0;
6630 + }
6631 + _ACEOF
6632 + rm -f conftest.$ac_objext conftest$ac_exeext
6633 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6634 +  (eval $ac_link) 2>conftest.er1
6635 +  ac_status=$?
6636 +  grep -v '^ *+' conftest.er1 >conftest.err
6637 +  rm -f conftest.er1
6638 +  cat conftest.err >&5
6639 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6640 +  (exit $ac_status); } &&
6641 +         { ac_try='test -z "$ac_c_werror_flag"
6642 +                         || test ! -s conftest.err'
6643 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6644 +  (eval $ac_try) 2>&5
6645 +  ac_status=$?
6646 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6647 +  (exit $ac_status); }; } &&
6648 +         { ac_try='test -s conftest$ac_exeext'
6649 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6650 +  (eval $ac_try) 2>&5
6651 +  ac_status=$?
6652 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6653 +  (exit $ac_status); }; }; then
6654 +  :
6655 + else
6656 +  echo "$as_me: failed program was:" >&5
6657 + sed 's/^/| /' conftest.$ac_ext >&5
6658 +
6659 + fi
6660 + rm -f conftest.err conftest.$ac_objext \
6661 +      conftest$ac_exeext conftest.$ac_ext
6662 + else
6663 +  echo "$as_me: failed program was:" >&5
6664 + sed 's/^/| /' conftest.$ac_ext >&5
6665 +
6666 +
6667 + echo "$as_me:$LINENO: result: no" >&5
6668 + echo "${ECHO_T}no" >&6
6669 + { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
6670 + fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
6671 + echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
6672 + fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
6673 +   { (exit 1); exit 1; }; }
6674 +
6675 + fi
6676 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6677 +
6678 + fi
6679 +
6680 +
6681 +
6682 +  if test "$with_mpi" = "yes"; then
6683 +
6684 + if test -z "$ac_fftw_firstname"; then
6685 +
6686 + sizeof_real=$sizeof_real
6687 + if test $sizeof_real = 8; then
6688 +  prec="double"
6689 +  fftwcheckprefix=d
6690 + else
6691 +  prec="single"
6692 +  fftwcheckprefix=s
6693 + fi
6694 +
6695 + xfftwname=${fftwcheckprefix}fftw3_mpi
6696 +
6697 + ok="no"
6698 + # check header doesn't work, since we must use mpicc to get includes,
6699 + # we cant trust cpp.
6700 + echo "$as_me:$LINENO: checking for $xfftwname.h" >&5
6701 + echo $ECHO_N "checking for $xfftwname.h... $ECHO_C" >&6
6702 + cat >conftest.$ac_ext <<_ACEOF
6703 + /* confdefs.h.  */
6704 + _ACEOF
6705 + cat confdefs.h >>conftest.$ac_ext
6706 + cat >>conftest.$ac_ext <<_ACEOF
6707 + /* end confdefs.h.  */
6708 + #include <$xfftwname.h>
6709 + #ifdef FC_DUMMY_MAIN
6710 + #ifndef FC_DUMMY_MAIN_EQ_F77
6711 + #  ifdef __cplusplus
6712 +     extern "C"
6713 + #  endif
6714 +   int FC_DUMMY_MAIN() { return 1; }
6715 + #endif
6716 + #endif
6717 + int
6718 + main ()
6719 + {
6720 +
6721 +  ;
6722 +  return 0;
6723 + }
6724 + _ACEOF
6725 + rm -f conftest.$ac_objext
6726 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6727 +  (eval $ac_compile) 2>conftest.er1
6728 +  ac_status=$?
6729 +  grep -v '^ *+' conftest.er1 >conftest.err
6730 +  rm -f conftest.er1
6731 +  cat conftest.err >&5
6732 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6733 +  (exit $ac_status); } &&
6734 +         { ac_try='test -z "$ac_c_werror_flag"
6735 +                         || test ! -s conftest.err'
6736 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6737 +  (eval $ac_try) 2>&5
6738 +  ac_status=$?
6739 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6740 +  (exit $ac_status); }; } &&
6741 +         { ac_try='test -s conftest.$ac_objext'
6742 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6743 +  (eval $ac_try) 2>&5
6744 +  ac_status=$?
6745 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6746 +  (exit $ac_status); }; }; then
6747 +
6748 + fftwname=$xfftwname
6749 + echo "$as_me:$LINENO: result: yes" >&5
6750 + echo "${ECHO_T}yes" >&6
6751 +
6752 + else
6753 +  echo "$as_me: failed program was:" >&5
6754 + sed 's/^/| /' conftest.$ac_ext >&5
6755 +
6756 + echo "$as_me:$LINENO: result: no" >&5
6757 + echo "${ECHO_T}no" >&6
6758 + fi
6759 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6760 +
6761 + # fftwname was set if we found a header
6762 +
6763 + if test -n "$fftwname"; then
6764 + # we cannot run the code since an MPI program might not be allowed
6765 + # on a login node of a supercomputer
6766 + cat >conftest.$ac_ext <<_ACEOF
6767 + /* confdefs.h.  */
6768 + _ACEOF
6769 + cat confdefs.h >>conftest.$ac_ext
6770 + cat >>conftest.$ac_ext <<_ACEOF
6771 + /* end confdefs.h.  */
6772 + #include <$fftwname.h>
6773 + #ifdef FC_DUMMY_MAIN
6774 + #ifndef FC_DUMMY_MAIN_EQ_F77
6775 + #  ifdef __cplusplus
6776 +     extern "C"
6777 + #  endif
6778 +   int FC_DUMMY_MAIN() { return 1; }
6779 + #endif
6780 + #endif
6781 + int
6782 + main ()
6783 + {
6784 + int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6785 +  ;
6786 +  return 0;
6787 + }
6788 + _ACEOF
6789 + rm -f conftest.$ac_objext
6790 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6791 +  (eval $ac_compile) 2>conftest.er1
6792 +  ac_status=$?
6793 +  grep -v '^ *+' conftest.er1 >conftest.err
6794 +  rm -f conftest.er1
6795 +  cat conftest.err >&5
6796 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6797 +  (exit $ac_status); } &&
6798 +         { ac_try='test -z "$ac_c_werror_flag"
6799 +                         || test ! -s conftest.err'
6800 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6801 +  (eval $ac_try) 2>&5
6802 +  ac_status=$?
6803 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6804 +  (exit $ac_status); }; } &&
6805 +         { ac_try='test -s conftest.$ac_objext'
6806 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6807 +  (eval $ac_try) 2>&5
6808 +  ac_status=$?
6809 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6810 +  (exit $ac_status); }; }; then
6811 +
6812 + ok=yes
6813 + usedprefix=$fftwcheckprefix
6814 +
6815 + else
6816 +  echo "$as_me: failed program was:" >&5
6817 + sed 's/^/| /' conftest.$ac_ext >&5
6818 +
6819 + ok=no
6820 + fi
6821 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6822 + fi
6823 +
6824 + if test "$ok" != "yes"; then
6825 +  echo "$as_me:$LINENO: checking for fftw3_mpi.h" >&5
6826 + echo $ECHO_N "checking for fftw3_mpi.h... $ECHO_C" >&6
6827 +  cat >conftest.$ac_ext <<_ACEOF
6828 + /* confdefs.h.  */
6829 + _ACEOF
6830 + cat confdefs.h >>conftest.$ac_ext
6831 + cat >>conftest.$ac_ext <<_ACEOF
6832 + /* end confdefs.h.  */
6833 + #include <fftw3_mpi.h>
6834 + #ifdef FC_DUMMY_MAIN
6835 + #ifndef FC_DUMMY_MAIN_EQ_F77
6836 + #  ifdef __cplusplus
6837 +     extern "C"
6838 + #  endif
6839 +   int FC_DUMMY_MAIN() { return 1; }
6840 + #endif
6841 + #endif
6842 + int
6843 + main ()
6844 + {
6845 +
6846 +  ;
6847 +  return 0;
6848 + }
6849 + _ACEOF
6850 + rm -f conftest.$ac_objext
6851 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6852 +  (eval $ac_compile) 2>conftest.er1
6853 +  ac_status=$?
6854 +  grep -v '^ *+' conftest.er1 >conftest.err
6855 +  rm -f conftest.er1
6856 +  cat conftest.err >&5
6857 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6858 +  (exit $ac_status); } &&
6859 +         { ac_try='test -z "$ac_c_werror_flag"
6860 +                         || test ! -s conftest.err'
6861 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6862 +  (eval $ac_try) 2>&5
6863 +  ac_status=$?
6864 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6865 +  (exit $ac_status); }; } &&
6866 +         { ac_try='test -s conftest.$ac_objext'
6867 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6868 +  (eval $ac_try) 2>&5
6869 +  ac_status=$?
6870 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6871 +  (exit $ac_status); }; }; then
6872 +  echo "$as_me:$LINENO: result: yes" >&5
6873 + echo "${ECHO_T}yes" >&6
6874 + else
6875 +  echo "$as_me: failed program was:" >&5
6876 + sed 's/^/| /' conftest.$ac_ext >&5
6877 +
6878 +
6879 + echo "$as_me:$LINENO: result: no" >&5
6880 + echo "${ECHO_T}no" >&6
6881 + { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6882 + Do you have $prec precision FFTW installed? If you are using packages,
6883 + note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6884 + software at www.fftw.org.
6885 + If you compiled FFTW yourself:
6886 + Note that the default FFTW setup is double precision.  If you want MPI support,
6887 + use --with-mpi. It is a good idea to install both single & double.
6888 + If you have installed FFTW in a non-standard location, you should
6889 + provide the correct paths in the CPPFLAGS and LDFLAGS environment
6890 + variables before running configure.
6891 + That is also necessary to do if your compiler doesn't search
6892 + /usr/local/include and /usr/local/lib by default." >&5
6893 + echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6894 + Do you have $prec precision FFTW installed? If you are using packages,
6895 + note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6896 + software at www.fftw.org.
6897 + If you compiled FFTW yourself:
6898 + Note that the default FFTW setup is double precision.  If you want MPI support,
6899 + use --with-mpi. It is a good idea to install both single & double.
6900 + If you have installed FFTW in a non-standard location, you should
6901 + provide the correct paths in the CPPFLAGS and LDFLAGS environment
6902 + variables before running configure.
6903 + That is also necessary to do if your compiler doesn't search
6904 + /usr/local/include and /usr/local/lib by default." >&2;}
6905 +   { (exit 1); exit 1; }; }
6906 +
6907 + fi
6908 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6909 + cat >conftest.$ac_ext <<_ACEOF
6910 + /* confdefs.h.  */
6911 + _ACEOF
6912 + cat confdefs.h >>conftest.$ac_ext
6913 + cat >>conftest.$ac_ext <<_ACEOF
6914 + /* end confdefs.h.  */
6915 + #include <fftw3_mpi.h>
6916 + #ifdef FC_DUMMY_MAIN
6917 + #ifndef FC_DUMMY_MAIN_EQ_F77
6918 + #  ifdef __cplusplus
6919 +     extern "C"
6920 + #  endif
6921 +   int FC_DUMMY_MAIN() { return 1; }
6922 + #endif
6923 + #endif
6924 + int
6925 + main ()
6926 + {
6927 + int _array_ [1 - 2 * !((sizeof(fftw_real)) == $sizeof_real)];
6928 +  ;
6929 +  return 0;
6930 + }
6931 + _ACEOF
6932 + rm -f conftest.$ac_objext
6933 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6934 +  (eval $ac_compile) 2>conftest.er1
6935 +  ac_status=$?
6936 +  grep -v '^ *+' conftest.er1 >conftest.err
6937 +  rm -f conftest.er1
6938 +  cat conftest.err >&5
6939 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6940 +  (exit $ac_status); } &&
6941 +         { ac_try='test -z "$ac_c_werror_flag"
6942 +                         || test ! -s conftest.err'
6943 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6944 +  (eval $ac_try) 2>&5
6945 +  ac_status=$?
6946 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6947 +  (exit $ac_status); }; } &&
6948 +         { ac_try='test -s conftest.$ac_objext'
6949 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6950 +  (eval $ac_try) 2>&5
6951 +  ac_status=$?
6952 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6953 +  (exit $ac_status); }; }; then
6954 +
6955 + usedprefix=""
6956 + fftwname=fftw3_mpi
6957 +
6958 + else
6959 +  echo "$as_me: failed program was:" >&5
6960 + sed 's/^/| /' conftest.$ac_ext >&5
6961 +
6962 +
6963 + { { echo "$as_me:$LINENO: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6964 + Do you have $prec precision FFTW installed? If you are using packages,
6965 + note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6966 + software at www.fftw.org.
6967 + If you compiled FFTW yourself:
6968 + Note that the default FFTW setup is double precision.  If you want MPI support,
6969 + use --with-mpi. It is a good idea to install both single & double.
6970 + If you have installed FFTW in a non-standard location, you should
6971 + provide the correct paths in the CPPFLAGS and LDFLAGS environment
6972 + variables before running configure.
6973 + That is also necessary to do if your compiler doesn't search
6974 + /usr/local/include and /usr/local/lib by default." >&5
6975 + echo "$as_me: error: Cannot find any $prec precision $xfftwname.h or fftw3_mpi.h
6976 + Do you have $prec precision FFTW installed? If you are using packages,
6977 + note that you also need fftw-devel to use FFTW with OOPSE. You can find the
6978 + software at www.fftw.org.
6979 + If you compiled FFTW yourself:
6980 + Note that the default FFTW setup is double precision.  If you want MPI support,
6981 + use --with-mpi. It is a good idea to install both single & double.
6982 + If you have installed FFTW in a non-standard location, you should
6983 + provide the correct paths in the CPPFLAGS and LDFLAGS environment
6984 + variables before running configure.
6985 + That is also necessary to do if your compiler doesn't search
6986 + /usr/local/include and /usr/local/lib by default." >&2;}
6987 +   { (exit 1); exit 1; }; }
6988 + fi
6989 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6990 + fi
6991 +
6992 +
6993 + as_ac_Lib=`echo "ac_cv_lib_$fftwname''_main" | $as_tr_sh`
6994 + echo "$as_me:$LINENO: checking for main in -l$fftwname" >&5
6995 + echo $ECHO_N "checking for main in -l$fftwname... $ECHO_C" >&6
6996 + if eval "test \"\${$as_ac_Lib+set}\" = set"; then
6997 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6998 + else
6999 +  ac_check_lib_save_LIBS=$LIBS
7000 + LIBS="-l$fftwname  $LIBS"
7001 + cat >conftest.$ac_ext <<_ACEOF
7002 + /* confdefs.h.  */
7003 + _ACEOF
7004 + cat confdefs.h >>conftest.$ac_ext
7005 + cat >>conftest.$ac_ext <<_ACEOF
7006 + /* end confdefs.h.  */
7007 +
7008 +
7009 + #ifdef FC_DUMMY_MAIN
7010 + #ifndef FC_DUMMY_MAIN_EQ_F77
7011 + #  ifdef __cplusplus
7012 +     extern "C"
7013 + #  endif
7014 +   int FC_DUMMY_MAIN() { return 1; }
7015 + #endif
7016 + #endif
7017 + int
7018 + main ()
7019 + {
7020 + main ();
7021 +  ;
7022 +  return 0;
7023 + }
7024 + _ACEOF
7025 + rm -f conftest.$ac_objext conftest$ac_exeext
7026 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7027 +  (eval $ac_link) 2>conftest.er1
7028 +  ac_status=$?
7029 +  grep -v '^ *+' conftest.er1 >conftest.err
7030 +  rm -f conftest.er1
7031 +  cat conftest.err >&5
7032 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7033 +  (exit $ac_status); } &&
7034 +         { ac_try='test -z "$ac_c_werror_flag"
7035 +                         || test ! -s conftest.err'
7036 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7037 +  (eval $ac_try) 2>&5
7038 +  ac_status=$?
7039 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7040 +  (exit $ac_status); }; } &&
7041 +         { ac_try='test -s conftest$ac_exeext'
7042 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7043 +  (eval $ac_try) 2>&5
7044 +  ac_status=$?
7045 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7046 +  (exit $ac_status); }; }; then
7047 +  eval "$as_ac_Lib=yes"
7048 + else
7049 +  echo "$as_me: failed program was:" >&5
7050 + sed 's/^/| /' conftest.$ac_ext >&5
7051 +
7052 + eval "$as_ac_Lib=no"
7053 + fi
7054 + rm -f conftest.err conftest.$ac_objext \
7055 +      conftest$ac_exeext conftest.$ac_ext
7056 + LIBS=$ac_check_lib_save_LIBS
7057 + fi
7058 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
7059 + echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
7060 + if test `eval echo '${'$as_ac_Lib'}'` = yes; then
7061 +  cat >>confdefs.h <<_ACEOF
7062 + #define `echo "HAVE_LIB$fftwname" | $as_tr_cpp` 1
7063 + _ACEOF
7064 +
7065 +  LIBS="-l$fftwname $LIBS"
7066 +
7067 + else
7068 +  { { echo "$as_me:$LINENO: error: Can't find a library to match the $fftwname header" >&5
7069 + echo "$as_me: error: Can't find a library to match the $fftwname header" >&2;}
7070 +   { (exit 1); exit 1; }; }
7071 + fi
7072 +
7073 + ac_fftw_savedprefix=$usedprefix
7074 + ac_fftw_firstname=$fftwname
7075 +
7076 + else
7077 +
7078 + fftwname=${ac_fftw_savedprefix}fftw3_mpi
7079 + echo "$as_me:$LINENO: checking for $fftwname.h" >&5
7080 + echo $ECHO_N "checking for $fftwname.h... $ECHO_C" >&6
7081 + cat >conftest.$ac_ext <<_ACEOF
7082 + /* confdefs.h.  */
7083 + _ACEOF
7084 + cat confdefs.h >>conftest.$ac_ext
7085 + cat >>conftest.$ac_ext <<_ACEOF
7086 + /* end confdefs.h.  */
7087 + #include <$fftwname.h>
7088 + #ifdef FC_DUMMY_MAIN
7089 + #ifndef FC_DUMMY_MAIN_EQ_F77
7090 + #  ifdef __cplusplus
7091 +     extern "C"
7092 + #  endif
7093 +   int FC_DUMMY_MAIN() { return 1; }
7094 + #endif
7095 + #endif
7096 + int
7097 + main ()
7098 + {
7099 +
7100 +  ;
7101 +  return 0;
7102 + }
7103 + _ACEOF
7104 + rm -f conftest.$ac_objext
7105 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7106 +  (eval $ac_compile) 2>conftest.er1
7107 +  ac_status=$?
7108 +  grep -v '^ *+' conftest.er1 >conftest.err
7109 +  rm -f conftest.er1
7110 +  cat conftest.err >&5
7111 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7112 +  (exit $ac_status); } &&
7113 +         { ac_try='test -z "$ac_c_werror_flag"
7114 +                         || test ! -s conftest.err'
7115 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7116 +  (eval $ac_try) 2>&5
7117 +  ac_status=$?
7118 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7119 +  (exit $ac_status); }; } &&
7120 +         { ac_try='test -s conftest.$ac_objext'
7121 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7122 +  (eval $ac_try) 2>&5
7123 +  ac_status=$?
7124 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7125 +  (exit $ac_status); }; }; then
7126 +  echo "$as_me:$LINENO: result: yes" >&5
7127 + echo "${ECHO_T}yes" >&6
7128 + LIBS="-l$fftwname $LIBS"
7129 + cat >conftest.$ac_ext <<_ACEOF
7130 + /* confdefs.h.  */
7131 + _ACEOF
7132 + cat confdefs.h >>conftest.$ac_ext
7133 + cat >>conftest.$ac_ext <<_ACEOF
7134 + /* end confdefs.h.  */
7135 +
7136 +
7137 + #ifdef FC_DUMMY_MAIN
7138 + #ifndef FC_DUMMY_MAIN_EQ_F77
7139 + #  ifdef __cplusplus
7140 +     extern "C"
7141 + #  endif
7142 +   int FC_DUMMY_MAIN() { return 1; }
7143 + #endif
7144 + #endif
7145 + int
7146 + main ()
7147 + {
7148 + main ();
7149 +  ;
7150 +  return 0;
7151 + }
7152 + _ACEOF
7153 + rm -f conftest.$ac_objext conftest$ac_exeext
7154 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7155 +  (eval $ac_link) 2>conftest.er1
7156 +  ac_status=$?
7157 +  grep -v '^ *+' conftest.er1 >conftest.err
7158 +  rm -f conftest.er1
7159 +  cat conftest.err >&5
7160 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7161 +  (exit $ac_status); } &&
7162 +         { ac_try='test -z "$ac_c_werror_flag"
7163 +                         || test ! -s conftest.err'
7164 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7165 +  (eval $ac_try) 2>&5
7166 +  ac_status=$?
7167 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7168 +  (exit $ac_status); }; } &&
7169 +         { ac_try='test -s conftest$ac_exeext'
7170 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7171 +  (eval $ac_try) 2>&5
7172 +  ac_status=$?
7173 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7174 +  (exit $ac_status); }; }; then
7175 +  :
7176 + else
7177 +  echo "$as_me: failed program was:" >&5
7178 + sed 's/^/| /' conftest.$ac_ext >&5
7179 +
7180 + fi
7181 + rm -f conftest.err conftest.$ac_objext \
7182 +      conftest$ac_exeext conftest.$ac_ext
7183 + else
7184 +  echo "$as_me: failed program was:" >&5
7185 + sed 's/^/| /' conftest.$ac_ext >&5
7186 +
7187 +
7188 + echo "$as_me:$LINENO: result: no" >&5
7189 + echo "${ECHO_T}no" >&6
7190 + { { echo "$as_me:$LINENO: error: Cant find $fftwname.h header. Make sure all your
7191 + fftw prefixes match - we already use $ac_fftw_firstname.h" >&5
7192 + echo "$as_me: error: Cant find $fftwname.h header. Make sure all your
7193 + fftw prefixes match - we already use $ac_fftw_firstname.h" >&2;}
7194 +   { (exit 1); exit 1; }; }
7195 +
7196 + fi
7197 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
7198 +
7199 + fi
7200 +
7201 +
7202 +  fi
7203 +
7204 +  case ${ac_fftw_savedprefix} in
7205 +   d)
7206 + cat >>confdefs.h <<\_ACEOF
7207 + #define FFTW_NAME_DFFTW
7208 + _ACEOF
7209 + ;;
7210 +   *)
7211 + cat >>confdefs.h <<\_ACEOF
7212 + #define FFTW_NAME_FFTW
7213 + _ACEOF
7214 + ;;
7215 +  esac
7216 + else
7217 +  echo "*******************************************************************"
7218 +  echo "* FFTW libraries and include files are required for computing     *"
7219 +  echo "* undulation spectra with the staticProps program.  If you don't  *"
7220 +  echo "* fftw turned on, OOPSE will still work, but you won't be able to *"
7221 +  echo "* analyze your trajectories for this property.                    *"
7222 +  echo "*******************************************************************"
7223 + fi # end of fftw check
7224 +
7225   # Checks for header files.
7226   echo "$as_me:$LINENO: checking for ANSI C header files" >&5
7227   echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
# Line 11142 | Line 12236 | if test "$ac_test_FFLAGS" != "set"; then
12236    case "${host_cpu}-${host_os}" in
12237  
12238    *linux*) if test "$FC" = ifc -o "$FC" = ifort; then
12239 <                    FCFLAGS="-fast"
12239 >                    FCFLAGS="-O3 -ip -no-prec-div -cxxlib-icc"
12240                  fi;;
12241     rs6000*-aix*)  if test "$FC" = xlf90 -o "$FC" = f90 -o "$FC" = xlf95; then
12242                      FCFLAGS="-O3 -qarch=pwrx -qtune=pwrx -qansialias -w"
# Line 12689 | Line 13783 | USE_CGAL=no
13783  
13784  
13785  
13786 +
13787   USE_CGAL=no
13788   cgal_makefile=auto
13789  

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines